
Redmine - Defect #30929

No longer all receivers are shown in "to" field after upgrade from 3.4.7 to 4.0.0

2019-02-27 09:53 - Manuel Bernhardt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.0.0

Description

I upgraded my redmine 3.4.7 last days to 4.0.0 and take notice, that mails send to multiple recipients no longer contain. For me is it a

expected and also wished behaviour, see always who received status mails.

My first idea was, (re)set any options in redmine but I found no option, where I can change between "send single mail to everyone" to

"send one mail to all". Only the option for BCC mails are available, but that isn't that I want.

Related issues:

Is duplicate of Redmine - Defect #30787: Other recipients are not listed in T... Closed

History

#1 - 2019-02-27 10:05 - Holger Just

- Is duplicate of Defect #30787: Other recipients are not listed in To field even if Setting.bcc_recipients is false added

#2 - 2019-02-27 10:06 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

Since Redmine 4.0, we send a separate email per recipient (instead of a single mail to all/some recipients as previously). Thus, it is not possible

anymore to get the list of notification recipients from the email alone.

See #30787 for details.

#3 - 2019-02-27 10:25 - Manuel Bernhardt

- Status changed from Closed to Reopened

Okay, it's acceptable for me, do not see the recipients in the "to" field. But for some formal reasons, it's really usefull, see "somehow" who got a

notification. So a alternative could be, set a option (general, per project...) which allows to include a additional line telling who received this mail.

#4 - 2019-09-18 12:28 - Paweł Szmigiel

Hi, we have upgraded our production environment to 4.0.4, and have received some complains from the redmine manager about this issue,

apparently She needs to see who has got an email. Is there any way to view all the recipients instead of looking into server logs? Or do You plan to

implement a feature in the upcoming updates? And if not, how can I rollback to old mailer system on redmine 4.0.4, is it possible?

#5 - 2024-01-22 15:11 - Marius BĂLTEANU

- Status changed from Reopened to Closed

I'm closing this, we will not going to revert to the old way of sending bulk messages.
